paragui_msgmap_h(3)

NAME
paragui_msgmap_h -

SYNOPSIS

#include "paragui.h"
#include "sdlmessageobject.h"

  Compounds
struct PARAGUI_EVENTHANDLERDATA

  Typedefs
typedef struct PARAGUI_EVENTHANDLERDATA PARAGUI_EVENTHANDLERDATA
ParaGUI eventhandler data structure.

  Functions
PARAGUI_EVENTHANDLERDATA* PARAGUI_FindEventHandler (MSG_TYPE type, SDLMessageObject* obj)
Searches for a specific eventhandler.
bool PARAGUI_RegisterEventHandler (MSG_TYPE type, SDLMessageObject* obj, MSG_CALLBACK cbfunc, void* data)
Register a new eventhandler for an object.
bool PARAGUI_UnregisterEventHandler (MSG_TYPE type, SDLMessageObject* obj)
Unregister an objects eventhandler.
bool PARAGUI_UnregisterEventObject (SDLMessageObject* obj)
Unregister all eventhandlers of an object.

TYPEDEF DOCUMENTATION

  typedef struct PARAGUI_EVENTHANDLERDATA PARAGUI_EVENTHANDLERDATA

ParaGUI eventhandler data structure.

FUNCTION DOCUMENTATION

  PARAGUI_EVENTHANDLERDATA * PARAGUI_FindEventHandler (MSG_TYPE type, SDLMessageObject * obj)

Searches for a specific eventhandler.

Parameters:

type the messagetype

obj the emiting SDLMessageObject

  bool PARAGUI_RegisterEventHandler (MSG_TYPE type, SDLMessageObject * obj, MSG_CALLBACK cbfunc, void * data)

Register a new eventhandler for an object.

Parameters:

type the messagetype

obj the messageobject

cbfunc the callback function to register

data optional userdata

  bool PARAGUI_UnregisterEventHandler (MSG_TYPE type, SDLMessageObject * obj)

Unregister an objects eventhandler.

Parameters:

type the messagetype to unregister

obj the messageobject

  bool PARAGUI_UnregisterEventObject (SDLMessageObject * obj)

Unregister all eventhandlers of an object.

Parameters:

obj the messageobject to unregister

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.